# This file contains information of customerized IOT list.

#
## Example:
#

# Interop Config Section
# [MtkXXX]

# Blacklisting by vendor prefix address:
# AddressBlacklist=12:34:56,22:22:22

# Blacklisting by Exact Name:
# ExactNameBlacklist=This is an example,MT-1234,T1

# Blacklisting by Partial Name (if name starts with)
# PartialNameBlacklist=Test,MT


###########################################
#            HOGP/GATT/BLE
###########################################

[MtkBleConnIntMinLimitAccept]
# Some device like will behave abnormally if their required interval
# which is less than BTM_BLE_CONN_INT_MIN_LIMIT is rejected.
# {0xd0, 0x5f, 0xb8} /*ELECOM Laser Mouse*/
AddressBlacklist=d0:5f:b8

ExactNameBlacklist=Arc Touch BT Mouse,ELECOM Laser Mouse

[MtkBleConnLatencyAdjust]
# Some devices request a large slave latency which will slow down
# the data transmission or break the link during profile establishment
# {0x00, 0x1b, 0xdc} /*BSM mouse*/
AddressBlacklist=00:1b:dc

ExactNameBlacklist=BSMBB09DS

[MtkBleConnTimeoutBlacklist]
# Some device request a minor link supervision timeout which can cause
# the link timeout frequently. So adjust their link supervision timeout to default value
# {0xff, 0x40, 0x3a} /*CASIO watch*/
# {0xda, 0x58, 0x98}
# {0xc2, 0x80, 0x29}
# {0xff, 0x74, 0xe1}
# {0xd9, 0xe6, 0xea}
AddressBlacklist=ff:40:3a,da:58:98,c2:80:29,ff:74:e1,d9:e6:ea

ExactNameBlacklist=CASIO GB-6900A*,UP2

[MtkBleDisablefastConn]
# Some device cannot handle fast connection procedure
# {0xd0, 0x5f, 0xb8} /*ELECOM*/
AddressBlacklist=d0:5f:b8

ExactNameBlacklist=ELECOM Laser Mouse

[MtkBleDisablePrefConnParams]
# Some device cann't handle the peripheral pereferred connection parameters
# update procedure
# {0xd0, 0x5f, 0xb8} /*ELECOM*/
AddressBlacklist=d0:5f:b8

ExactNameBlacklist=ELECOM Laser Mouse

PartialNameBlacklist=FeiZhi

[MtkSecureConnectionsBlacklist]
# Disbale SC mode when perform LE paring
# {0x7c, 0x66, 0x9d} /*Huitong BLE Remote*/
# {0xd0, 0x5f, 0xb8} /*ELECOM Laser Mouse*/
# {0x04, 0xe6, 0x76} /*XiaoYi_RC*/
AddressBlacklist=7c:66:9d,d0:5f:b8,04:e6:76

ExactNameBlacklist=Huitong BLE Remote,ELECOM Laser Mouse

PartialNameBlacklist=honor zero-,小米蓝牙遥控器,XiaoYi_RC

###########################################
#                HFP
###########################################

[MtkHfpDelayOpenScoBlicklist]
# Some device has some special request for
# opening the sco time, so work around for this device (Nexus has the same problem with this device).
# {0x00, 0x1E, 0xDC}   /* DS205 */
# {0x00, 0x58, 0x50}   /* BELKIN */
# {0xFC, 0x58, 0xFA}   /*MEIZU speaker*/
# {0x00, 0x13, 0x04}   /* BTHFD */
AddressBlacklist=00:1E:DC,00:58:50,fc:58:fa,00:13:04

[MtkHfpAclCollisionBlicklist]
#Some devices cannot work normal as a master if the connection
#is initiated by them self and this will cause ACL collision. For these
#devices, extend the ACL collision handler timer to wait it reconnect.
#{0x48, 0xc1, 0xac}, /*PLT M155*/ will reconnect DUT when BT chip reset.
#{0x00, 0x0d, 0x18}, /*S1/X3-M*/ Carkit will reconnect.
#{0x00, 0x1E, 0x7C}, /*Philips SHB9000*/ Headset will reconnect.
#{0x74, 0xDE, 0x2B}, /*Jabra Clipper*/ HFP connect collision.
#{0x0C, 0xE0, 0xE4}, /*PLT_M180*/ HFP connect collision.
AddressBlacklist=48:c1:ac,00:0d:18,00:1e:7c,74:de:2b,0c:e0:e4

[MtkHfpGainUpdateCancel]
#Xiaomi device set gain equal zero will
#lead no sound,so cancel gain update
#{0x00, 0x9E, 0xC8}  /*BT speaker(Xiaomi)*/
#{0xa0, 0x14, 0x3d}  /* Honda HFT Carkit*/
AddressBlacklist=00:9e:c8,a0:14:3d

[MtkHfp17To16]
# Some device has IOT issue for HFP 1.7 version.
# Back to 1.6 for this devices.
# {0x00, 0x17, 0x53}   /* Tiggo5 */
# {0x04, 0xf8, 0xc2}   /* VW Radio */
# {0x00, 0x13, 0x04}   /* JAC */
AddressBlacklist=00:17:53,04:f8:c2,00:13:04

[MtkHfpForceToUseSco]
# Some device has issue when setup eSCO, so force to use SCO instead.
# {0x00, 0x58, 0x76},  /* BT800 */
# {0xD0, 0x8A, 0x55},  /* Skull Candy XTFree */
# {0xA0, 0xE9, 0xDB},    /* ODYS-XOUND cube */
# {0x00, 0x58, 0x50},    /* SeeCom */
# {0x00, 0x58, 0x56},    /* RAVIS */
# {0x00, 0x58, 0x75},    /* Mifa F1 */
# {0x59, 0x90, 0xa1},    /* TRACTOR-7462 */
# {0x00, 0x58, 0x50},    /* AMETHYST MD3 */
# {0x00, 0x0D, 0x18},    /* CARDVD-BT; CarKit10BF; NXO-3 */

AddressBlacklist=00:58:76,A0:E9:DB,00:58:56,00:58:75,59:90:a1,D0:8A:55,00:0D:18
ExactNameBlacklist=CARDVD-BT,CarKit10BF,NXO-3,SeeCom,AMETHYST MD3

[MtkHfpUpdateSecondCallState]
#Some device has no voice issue during second call, so force to
#send ciev 1,1 after accept second call.
#{0xfc, 0x58, 0xfa}   /* Meidong */
AddressBlacklist=fc:58:fa

[MtkHfpForceToUseCVSD]
# Some device will no voice when using mSBC codec, so force to use CVSD.
# /*Parrot ASTEROID Smart*/
# /*Jabra Classic v0.5.3*/
ExactNameBlacklist=Parrot ASTEROID Smart,Jabra Classic v0.5.3

[MtkHfpDelayScoInAct]
# Some device has IOT issue for HFP. Turn off bt during ring call, then
# answer call and turn on bt, the end call UI display on Carkit;
# So work around delay open sco to avoid this issue;
# {0xB0, 0x72, 0xBF}   /*KIA MOTORS*/
# {0xD8, 0xC4, 0x6A}   /*KIA MOTORS*/
AddressBlacklist=B0:72:BF,D8:C4:6A

###########################################
#                HID
###########################################

[MtkHIDDisableSDPBlacklist]
# Some HID devices have issue if SDP is initiated while HID connection is in progress
# {0x04, 0x0C, 0xCE},  /* Apple Magic Mouse */
# {0x00, 0x07, 0x61},  /* Bluetooth Laser Travel Mouse */
# {0x00, 0x1d, 0xd8},  /* Microsoft Bluetooth Notebook Mouse 5000 */
# {0x00, 0x1f, 0x20},  /* Logitech MX Revolution Mouse */
# {0x6c, 0x5d, 0x63},  /* Rapoo 6080 mouse */
# {0x28, 0x18, 0x78}   /* Microsoft Sculpt Touch Mouse */
# {0x30, 0x59, 0xb7}   /* Microsoft Sculpt Comfort Mouse */
# {0x34, 0x88, 0x5d},  /* Bluetooth mouse M557*/
AddressBlacklist=04:0c:ce,00:07:61,00:1d:d8,00:1f:20,6c:5d:63,28:18:78,30:59:b7,34:88:5d

[MtkSniffSubratingBlacklist]
# {0x54, 0x46, 0x6b},  /* JW MT002 Bluetooth Mouse */ /*LMP version&subversion  - 5, 8721 & LMP Manufacturer - 15*/
# {0x6c, 0x5d, 0x63}, /* Rapoo 6610 Bluetooth Mouse */
# {0x60, 0x8c, 0x2b},  /* FelTouch Magic */
AddressBlacklist=54:46:6b,6c:5d:63,60:8c:2b


###########################################
#              A2DP/AVRCP
###########################################

[MtkA2DPDelayStartCMDBlicklist]
# Some special device want perform START cmd itself first
# If it not send START cmd, will close current link.
# So for this special device, we need delay send A2DP START cmd
# which from DUT to receive the special device cmd.
# {0x00, 0x17, 0x53}   /* Tiggo5 */
# {0x00, 0x13, 0x04}   /* CASKA */
# {0x0c, 0xa6, 0x94}   /* Philips Fidelio M2BT */
# {0x33, 0x60, 0x7c}   /* DVD */
# {0x00, 0x0d, 0x3c}   /* Clip Music 801 */
# {0x00, 0x0a, 0x08}   /* CDE-153Series */
# {0x00, 0x0d, 0x18}   /* RDA HBS device*/ - HBS8864
# {0x00, 0x07, 0x04}   /* Tiguan RNS carkit*/ - Tiguan RNS315 Bluetooth
# {0xbc, 0x6e, 0x64}   /* SBH54 */
# {0x00, 0x18, 0x09}   /* MDR-XB80BS */
AddressBlacklist=00:17:53,00:13:04,0c:a6:94,33:60:7c,00:0d:3c,00:0a:08,bc:6e:64,00:18:09

ExactNameBlacklist=HBS8864,Tiguan RNS315 Bluetooth

[MtkSongPositionBlacklist]
# Blacklisting by vendor prefix address:
# {0x00, 0x0e, 0x9f},  /* Toyota Touch&Go */
AddressBlacklist=00:0e:9f

ExactNameBlacklist=Toyota Touch&Go

[MtkA2dpChangeAcceptSignalTms]
# Some device will delay send A2DP signaling. It will occur A2DP connection conflict.
# Change accept signaling time out value for above devices.
# {0x00, 0x21, 0x3c},   /* Jawbone ICON*/
AddressBlacklist=00:21:3c

[MtkDisableAbsVolm]
# Enhance INTEROP_DISABLE_ABSOLUTE_VOLUME item for mtk blacklist solution
# {0x00, 0x08, 0x7A},   /* Pioneer APS-BH80 */
# {0x00, 0x08, 0x3e},   /* aigo X6 */
# {0x00, 0x00, 0x1a},   /* Gionee */
# {0xad, 0xcd, 0xee},   /* PISEN-LE005 */
# {0xe8, 0x07, 0xbf},   /* Mi Bluetooth Speaker */
AddressBlacklist=00:08:7a,00:08:3e,00:00:1a,ad:cd:ee,e8:07:bf

[MtkSinkSdpFailNotDiscAvrcp]
# Some device support avrcp but not support a2dp.
# In this case, we do not close avrcp after audio sink sdp failed
# {0xA0, 0xE6, 0xF8},   /*Fitbit Blaze*/
AddressBlacklist=a0:e6:f8

[MtkUseAvrcp13]
# Some device not support avrcp1.5 and 1.4, we need use avrcp1.3 to response
# {0xe0, 0x75, 0x0a},    /* Honda HFT */
AddressBlacklist=e0:75:0a

[MtkUseAvrcp14]
# Some device do not support avrcp1.5 very good.
# we need use avrcp1.4 to response
# {0x50, 0x33, 0x8b},    /* Car Display Audio */
AddressBlacklist=50:33:8b

[MtkSkipRemoteSuspendFlag]
# Some device not send START cmd after send SUSPEND cmd by remote device.
# So in this case, music will not auto started. In order to skip this issue, add
# blacklist to remove flag BTIF_AV_FLAG_REMOTE_SUSPEND for trigger START by DUT.
# {0xd4, 0xca, 0x6e},   /* Audi MMI 6610 */
# {0x48, 0xa9, 0xd2},   /* Audi MMI 2768 */
AddressBlacklist=d4:ca:6e,48:a9:d2
ExactNameBlacklist=Audi,Porsche,BMW,MB Bluetooth

[MtkAdvancedA2DPConnect]
# Some BT devices are less compatible in the market, for example,
# some devices like connect A2DP ASAP, but others are opposite.
# Add this blacklist to adapter this case.
# {0x00, 0x0d, 0x18, 0, 0, 0}, /* Alpine */
# {0x40, 0xef, 0x4c, 0, 0, 0}, /* UFO */
# {0x00, 0x00, 0x46, 0, 0, 0}, /* Media Center */
AddressBlacklist=00:0d:18,40:ef:4c,00:00:46

###########################################
#              RFCOMM
###########################################

[MtkForbidCombineRfcData]
# Some devices can not parse multi AT commands in one rfcomm packet.
# So, send data separately.
# {0x00, 0x0A, 0x08},   /*BMW94506*/  Remote device can not parse multi at commands.
AddressBlacklist=00:0a:08


###########################################
#               L2CAP
###########################################

[MtkAcceptConnAsMaster]
# Some devices cannot work normally as master if the connection is initiated by themselves
# {0x6c, 0x5d, 0x63},  /* Rapoo 6610 mouse */
# {0x00, 0x02, 0xc7},  /* HANDS FREE carkit of Infineon Technologies AG */
# {0x00, 0x58, 0x75},  /* Mifa_F1 */
# {0x1c, 0x52, 0x16},  /* Xiaomi earphone */
# {0x11, 0x3b, 0xf6},  /* MY-S5 */
# {0x00, 0x58, 0x76},  /* BT800,this device does not send detach when power off */
# {0x20, 0x16, 0x03},  /* 56s */
AddressBlacklist=6c:5d:63,00:02:c7,00:58:75,1c:52:16,11:3b:f6,00:58:76,20:16:03


[MtkAcceptConnAsSlave]
# Some devices cannot work normally as slave if the connection is initiated by themselves.
# {0x00, 0x1e, 0xae},  /* SYNC, FORD carkit */
# {0x00, 0x26, 0xb4},  /* NAC ford, 2013 Lincoln */
# {0x00, 0x26, 0xe8},  /* Nissan Murano */
# {0x00, 0x37, 0x6d},  /* Lexus ES300h */
# {0x9c, 0x3a, 0xaf},  /* SAMSUNG HM1900 */
# {0x88, 0x30, 0x8a} /* CAR MULTIMEDIA */
# {0xf0, 0x65, 0xdd} /* Nokia BH-121 */
# {0x00, 0x18, 0xdc} /* Buffalo VH-1804 */
# {0x00, 0x0d, 0xfd} /* Motorola S10-HD */
# {0x9c, 0xdf, 0x03} /* BMW 71888 */
AddressBlacklist=00:1e:ae,00:26:b4,00:26:e8,00:37:6d,9c:3a:af,88:30:8a,f0:65:dd,00:18:dc,00:0d:fd,9c:df:03

# D8 perfers to act as master after D8 establishing connection
ExactNameBlacklist=D8,Bose AE2w 01.02.00

[MtkNotRestartAcl]
# Not restart ACL link when link down
# {0x00, 0x06, 0xf7},  /* MB Bluetooth, carkit */
AddressBlacklist=00:06:f7

###########################################
#               GAP
###########################################

[MtkDisableAutoPairing]
# Disable automatic pairing with remote device
# {0x00,0x0e,0x9f},/*TEMIC SDS (Porsche,Audi exp(PCM))*/
AddressBlacklist=00:0e:9f

[MtkRoleSwitchBlacklist]
# Some devices may perform abnormally after role switch, do not role siwtch for them
# {0x02,0x2b,0x85},/*ix35 CAR KIT*/
# {0x9c,0xdf,0x03},/*BMW 71888*/
# {0x88,0x30,0x8a},/*CAR MULTIMEDIA*/
# {0x00,0x37,0x6d},/*CAR MULTIMEDIA*/
# {0x00,0x0d,0xfd},/*Motorola S9,S10-HD*/
# {0x00,0x18,0xdc},/*VH-1804*/
# {0x00,0x26,0Xb4},/*NAC FORD,2013 Lincoln*/
# {0x00,0x26,0xe8},/*Nissan Murano*/
# {0x00,0x37,0x6d},/*Lexus ES300h*/
# {0x9c,0x3a,0xaf},/*SAMSUNG HM1900*/
# {0xf0, 0x65, 0xdd} /* Nokia BH-121 */
AddressBlacklist=02:2b:85,9c:df:03,88:30:8a,00:37:6d,00:0d:fd,00:18:dc,00:26:b4,00:26:e8,00:37:6d,9c:3a:af,f0:65:dd

ExactNameBlacklist=CAR KIT,BMW 71888,CAR MULTIMEDIA,Motorola S9,Motorola S10-HD,VH-1804,NAC FORD,2013 Lincoln,Nissan Murano,Lexus ES300h,SAMSUNG HM1900,Nokia BH-121,Bose AE2w 01.02.00,NX403CBR

[MtkDisableServiceSecurityCheck]
# Disable service security check when remote device reconnect to DUT
# {0x50, 0xc9, 0x71},  /* Jabra STONE2 */
# {0x00, 0x23, 0x78},  /* Jabra STONE2 */
# {0x30, 0x53, 0x00},  /* BT CALL */
AddressBlacklist=50:c9:71,00:23:78,30:53:00

[MtkForcedSSP]
# Use SSP forcibly for IOT device
# {0x34, 0x88, 0x5d},  /*Bluetooth Mouse M557*/
# {0x00, 0x1f, 0x20},  /*Bluetooth Mouse M557*/
AddressBlacklist=34:88:5d,00:1f:20

ExactNameBlacklist=Bluetooth Mouse M557

[MtkGetUuidsFromStorage]
# get services from storage for some devices
# {0x0c, 0xfc, 0x83},  /* ADYSS-A6 */
AddressBlacklist=0c:fc:83

[MtkAdjustSniffIntervalX22]
# Adjust sniff interval for high current issue
# {0x30, 0x21, 0x53},  /*  */
# {0xdc, 0x2c, 0x26},  /* MOMAX BR03, Shutter Camera */
# {0x20, 0x17, 0x05},  /* Winnersun */
# {0x00, 0x1f, 0x20},  /*  */
AddressBlacklist=30:21:53,dc:2c:26,20:17:05,00:1f:20
